CustomPasswordInstructionsApi
Use this API to implement custom password instruction functionality. With this functionality in place, administrators can create custom password instructions to help users reset their passwords, change them, unlock their accounts, or recover their usernames. This allows administrators to emphasize password policies or provide organization-specific instructions.
Administrators must first use Update Password Org Config to set `customInstructionsEnabled` to `true`.
Once they have enabled custom instructions, they can use Create Custom Password Instructions to create custom page content for the specific pageId they select.
For example, an administrator can use the pageId forget-username:user-email to set the custom text for the case when users forget their usernames and must enter their emails.
Refer to Creating Custom Instruction Text for more information about creating custom password instructions.
All URIs are relative to https://sailpoint.api.identitynow.com
| Method | HTTP request | Description |
|---|---|---|
| create-custom-password-instructions-v1 | POST /custom-password-instructions/v1 | Create custom password instructions |
| delete-custom-password-instructions-v1 | DELETE /custom-password-instructions/v1/{pageId} | Delete custom password instructions by page id |
| get-custom-password-instructions-v1 | GET /custom-password-instructions/v1/{pageId} | Get custom password instructions by page id |
create-custom-password-instructions-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Create custom password instructions This API creates the custom password instructions for the specified page ID.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| custompasswordinstruction | Custompasswordinstruction | ||
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Custompasswordinstruction
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { CustomPasswordInstructionsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Custompasswordinstruction } from 'sailpoint-api-client/dist/custom_password_instructions/api';
const configuration = new Configuration();
const apiInstance = new CustomPasswordInstructionsApi(configuration);
const custompasswordinstruction: Custompasswordinstruction = {"pageId":"reset-password:enter-password","pageContent":"See company password policies for details by clicking <a href=\"url\">here</a>"}; //
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.createCustomPasswordInstructionsV1({ custompasswordinstruction: custompasswordinstruction });
console.log(result);
delete-custom-password-instructions-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Delete custom password instructions by page id This API delete the custom password instructions for the specified page ID.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| pageId | `'change-password:enter-password' | 'change-password:finish' | 'flow-selection:select' |
| locale | string | The locale for the custom instructions, a BCP47 language tag. The default value is \"default\". | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
(empty response body)
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { CustomPasswordInstructionsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new CustomPasswordInstructionsApi(configuration);
const pageId: string = mfa:select; // The page ID of custom password instructions to delete.
const locale: string = locale_example; // The locale for the custom instructions, a BCP47 language tag. The default value is \\\"default\\\". (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.deleteCustomPasswordInstructionsV1({ pageId: pageId });
console.log(result);
get-custom-password-instructions-v1
This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.
Get custom password instructions by page id This API returns the custom password instructions for the specified page ID.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| pageId | `'change-password:enter-password' | 'change-password:finish' | 'flow-selection:select' |
| locale | string | The locale for the custom instructions, a BCP47 language tag. The default value is \"default\". | [optional] [default to undefined] |
| xSailPointExperimental | string | Use this header to enable this experimental API. | [optional] [default to 'true'] |
Return type
Custompasswordinstruction
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { CustomPasswordInstructionsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new CustomPasswordInstructionsApi(configuration);
const pageId: string = mfa:select; // The page ID of custom password instructions to query.
const locale: string = locale_example; // The locale for the custom instructions, a BCP47 language tag. The default value is \\\"default\\\". (optional)
const xSailPointExperimental: string = true; // Use this header to enable this experimental API. (optional)
const result = await apiInstance.getCustomPasswordInstructionsV1({ pageId: pageId });
console.log(result);